Overview
License
Whats New
Download
CVS
Screen Shots
Requirements
Child-Friendly
Help
FAQ
Forums
Linux
Windows
Mac OS X
The Pytho˝ol Spanish language suite
The PyBabelPhish module
The PyPrint module
The PyInstallShield module
Text-To-Speech
Overview
About the author
E-mail


My Projects:
Gyach Enhanced
pY! Voice Chat
IceWM Control Panel
gAnim8
Pythonol
PHPaint



Site Powered By:
PHPaint
and
PHP

Pythonol Logo -  Spanish-English language software for Linux
http://pythonol.sourceforge.net
Download       Mailing List       Support Forum       SF Project Page


LATEST NEWS [4/29/2005]: These pages have just moved to a NEW SERVER. The site might be under construction for some time.
LATEST NEWS [1/23/2004]: Attention Windows XP Users: The Windows .EXE for Pytho˝ol/PyBabelPhish does NOT run on Windows XP. However, it's known to run on Win98/95. So, XP users are just out of luck. Do NOT report this as a 'bug': the 'bug' is XP impersonating an operating system.
LATEST NEWS [1/22/2004]: Pytho˝ol 2.1 is now available: Major installation bug fix, Python 2.3 and Mac OS X compatibility, a database upgrade, and user interface improvements. A new Windows .exe binary is available for this release.  New features   New screenshots.   Download   This site has a new color scheme...finally!
LATEST NEWS [1/22/2004]: PyBabelPhish 2.1 is available: A major installation bug fix and several user interface improvements.  New features   Download
LATEST NEWS [1/22/2004]: PyPrint 0.3 now available: Finally ported to PyGtk-2, with several interface improvements.   New features.   Download.
LATEST NEWS [1/22/2004]: PyInstallShield 0.5.1 now available: Bug fixes and interface improvements.   New features.   Download.


System Requirements

These requirements apply to: Pytho˝ol, PyBabelPhish, PyPrint, and PyInstallShield.

Windows Users: You must have a computer with at least 64MB of RAM, 233Hz, Pentium I processor because Gtk runs much slower on Windows than it does on its native Linux/Unix systems. Windows users using the binary .EXE version of Pytho˝ol do not have to worry about the Python, PyGtk-2, and Gtk+-2 system requirements, since these are already included in the binary.

Mac OS X: Several users have told me that all of the applications, except PyPrint, run just fine on Mac OS X systems, provided the system requirements below are met. However, I cannot personally attest to how well they run on Mac OS X, since I do not have the ability to test this application on a Mac OS X system.

** PyPrint has ADDITIONAL REQUIREMENTS.

** Text-to-speech system requirements are here.


REQUIRED:
Package RPM Source Notes
Python Find RPMS Find Source Code 2.2 or better
Gtk+-2 Find RPMS Find Source Code 2.0.0 or better required

PyGtk-2 Find RPMS Find Source Code 1.99 or better (2.00 or better highly recommended)



PyPrint - ADDITIONAL REQUIREMENTS:
Package RPM Source Notes
LPRng Find RPMS Find Source Code containing the following binaries: lpstat, lpr, cancel, and checkpc. (and 'lpd') Version 3.8.9+, version 3.8.12 or better recommended - ABSOLUTELY NECESSARY.
GhostScript Find RPMS Find Source Code containing the following binaries: 'psselect', 'ghostview', 'ps2pdf', 'pdf2ps'. Version 7.0.3 or better recommended. Provides support for print-previewing, file conversion, and printing selected pages from a document. - ABSOLUTELY NECESSARY.
ImageMagick Find RPMS Find Source Code containing the 'convert' binary, version 5.2.3+, version 5.4.6.1 or better recommended - adds support for printing images, etc.
A2PS (Any 2 Postscript) Find RPMS Find Source Code containing the 'a2ps' binary. Version 4.13 or better recommended - adds support for printing all kinds of documents, not just postscript documents.
HTML2PS (HTML 2 Postscript) Find RPMS Find Source Code containing the 'html2ps' binary. Version 1.0-b3 or better recommended - adds support for printing HTML documents (even with images).

** APSFilter is recommended by not required. (I'm using it on my system.) SuSE users probably already have it.

TESTING ENVIRONMENT
Pytho˝ol, PyBabelPhish, PyPrint, and PyInstallShield have been tested in the following environment: SuSe 8.1., Mandrake 8.2, Kernel 2.4.8-34 - 2.4.19, Glibc 2.2, Python 2.2, PyGTK 0.6.9-1 - 0.6.9-3 (for Pytho˝ol versions 1.1 and lower) and PyGtk-2 2.00 (for Pytho˝ol version 2.0 and above), Gtk+ 1.2.8-4 - Gtk+ 1.2.8-10 (for Pytho˝ol versions 1.1 and lower) and Gtk+ 2.0.0 (for Pytho˝ol version 2.0 and above). PyPrint has been tested with: LPRng 3.8.12, a2ps 4.13, ImageMagick 5.4.8, and Ghostscript 7.0.3. Older versions of Pytho˝ol, PyBabelPhish, and PyInstallShield have been tested on Windows 98 running Python 2.1, Gtk 1.3.0, and PyGtk 0.6.9. Alot of Linux distributions have 'xalf' running - I have 'xalf' REMOVED from my system as it tended to make Python apps hang on startup and not run correctly. These applications run well with at least 64MB of memory and a pentium-grade processor or better. Some older computers I've gotten these applications to run well on include: an older CTX EzBook laptop with 64MB/233 Mhz/AMD Processor, Compact Presario 5050 64MB/333 Mhz/Celeron Processor (Pentium II equiv.), and an old box with 128MB/233 Mhz/Pentium I. No special graphics cards or hardware/3D accelerators are required.



Pytho˝ol, PyBabelPhish, PyPrint, and PyInstallShield are Copyright (c) 2002-2005 by Erica Andrews (PhrozenSmoke ['at'] yahoo.com). See the license section for a copy of the licenses these programs are distributed under. Any use, modification, or redistribution of Pytho˝ol, PyBabelPhish, PyPrint, or PyInstallShield, or their components, not in accordance with their respective license is strictly prohibited. Neither the author of this software, nor any of the software itself, is endored by, supported by, or in any way affiliated with the authors of any of the following: PySQLite, SQLiite, Festival.

Last Update: April 29, 2005

SourceForge Logo